
D4Science Infrastructure - Task #12241

Setup New gateway open-science.it

Jul 25, 2018 02:26 PM - Massimiliano Assante

Status: Rejected Start date: Jul 25, 2018

Priority: Normal Due date: Aug 31, 2018

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: OpenScience.it Gateway   

Infrastructure: Production   

Description

We need to setup a new gateway on liferay cluster and that would respond to https://open-science.it

Please start by requesting the ssl certificate

Subtasks:

Task # 12490: Ask for a wildcard certificate for open-science.it Closed

Related issues:

Blocked by D4Science Infrastructure - Task #11831: Explore new letsencrypt cl... Closed May 23, 2018 Jun 30, 2018

History

#1 - Aug 01, 2018 04:55 PM - Andrea Dell'Amico

- Blocked by Task #11831: Explore new letsencrypt clients to add wildcard certificates support added

#2 - Aug 18, 2018 08:03 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it I don't see open-science.it listed at http://mx.isti.cnr.it/dnsmanager, but the official DNS servers are the istitutional ones.

We have to setup the A records, and also the CNAME _acme-challenge.open-science.it -> _acme-challenge.d4science.net so that we are able to

request certificates using the letsencrypt DNS api.

#3 - Sep 14, 2018 04:52 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The domain registration has been changed. I created the DNS records for open-science.it and www.open-science.it, when the root DNS servers will

answer with the correct information I'll request the wildcard certificate for the domain.

#4 - Sep 14, 2018 04:59 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Massimiliano Assante

I opened a subtask for the certificate.

#5 - Oct 10, 2019 10:26 AM - Massimiliano Assante

- Status changed from In Progress to Rejected

The open-science.it gateway setup has been perform by Nubisware
